# Generated from fluent-plugin-detect-exceptions-xiniaoyun-0.0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-detect-exceptions-xiniaoyun

Name: rubygem-%{gem_name}
Version: 0.0.11
Release: 1%{?dist}
Summary: fluentd output plugin for combining stack traces as multi-line JSON logs
License: Apache-2.0
URL: https://github.com/GoogleCloudPlatform/fluent-plugin-detect-exceptions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rubocop) = 0.42.0
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(flexmock) >= 2.0
# BuildRequires: rubygem(flexmock) < 3
BuildArch: noarch

%description
Fluentd output plugin which detects exception stack traces in a stream of
JSON log messages and combines all single-line messages that belong to the
same stack trace into one multi-line message.
This is an official Google Ruby gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-detect-exceptions.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.11-1
- Initial package
